aboutsummaryrefslogtreecommitdiff
path: root/net/libs
diff options
context:
space:
mode:
authorrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-11-16 00:20:35 +0000
committerrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-11-16 00:20:35 +0000
commitbffe9dbb2ff1b3aaf3e2908dbe96b648ea5fed73 (patch)
tree182eeae16bb99fdbcc33f2ff16dbe52631a0cd50 /net/libs
parenta7989aa2b287865fa917f27e8460a4be6722c938 (diff)
downloadslackbuilds-bffe9dbb2ff1b3aaf3e2908dbe96b648ea5fed73.tar.gz
slackbuilds-bffe9dbb2ff1b3aaf3e2908dbe96b648ea5fed73.tar.bz2
movendo libs...
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@704 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'net/libs')
-rwxr-xr-xnet/libs/courier-authlib/courier-authlib.SlackBuild111
1 files changed, 111 insertions, 0 deletions
diff --git a/net/libs/courier-authlib/courier-authlib.SlackBuild b/net/libs/courier-authlib/courier-authlib.SlackBuild
new file mode 100755
index 00000000..0033dfc6
--- /dev/null
+++ b/net/libs/courier-authlib/courier-authlib.SlackBuild
@@ -0,0 +1,111 @@
+#!/bin/bash
+#
+# slackbuild script for courier-authlib
+# by rhatto at riseup.net
+#
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="courier-authlib"
+VERSION=${VERION:=0.58}
+ARCH=${ARCH:=i486}
+BUILD=${BUILD:=1rha}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+SRC_DIR=${SRC:=$CWD}
+
+if [ "$ARCH" == "x86_64" ]; then
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+RTOOL="wget"
+PACKAGE_EXT="bz2"
+KEY="http://www.courier-mta.org/KEYS.bin"
+SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
+URL="http://easynews.dl.sourceforge.net/sourceforge/courier/$SRC"
+
+if [ "$PACKAGE_EXT" == "bz2" ]; then
+ tarflag="j"
+else
+ tarflag="z"
+fi
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC"
+ wget "$URL.sig" -O "$SRC_DIR/$SRC.sig"
+fi
+
+if [ ! -f "$SRC_DIR/$PACKAGE-key.asc" ]; then
+ wget "$KEY" -O "$SRC_DIR/$PACKAGE-key.asc" && gpg --import $SRC_DIR/$PACKAGE-key.asc
+fi
+
+gpg --verify $SRC_DIR/$SRC.sig $SRC || echo WARNING: Could not check signature or WRONG signature found.
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+tar xvf$tarflag $SRC_DIR/$SRC
+cd $PACKAGE-$VERSION
+./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR
+make || exit 32
+make DESTDIR=$TMP/package-$PACKAGE install
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+courier-authlib: courier-authlib (Courier Authentication Library)
+courier-authlib:
+courier-authlib: The Courier Authentication Library is an API toolkit for
+courier-authlib: implementing password validation and account metadata lookups.
+courier-authlib: Authentication can be configured using either the traditional system
+courier-authlib: password file lookups, or using MySQL, PostgreSQL, LDAP, or DB/GDBM
+courier-authlib: databases.
+courier-authlib:
+courier-authlib:
+courier-authlib:
+courier-authlib:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+for file in AUTHORS COPYING COPYING.GPL ChangeLog INSTALL INSTALL.html NEWS NEWS.html README; do
+ cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
+done
+
+echo 'chroot . /sbin/ldconfig' > install/doinst.sh
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+